Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.impl
Class VirtualFileProvider

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractVfsContainer
              org.apache.commons.vfs.impl.VirtualFileProvider

All Implemented Interfaces:
  VfsComponent

public class VirtualFileProvider
extends AbstractVfsContainer

A virtual filesystem provider.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Constructor Summary
`VirtualFileProvider()`

Method Summary
`FileObject` | `createFileSystem(FileObject rootFile)` Creates a virtual file system, with the supplied file as its root.
`FileObject` | `createFileSystem(String rootUri)` Creates an empty virtual file system.

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsContainer
`addComponent, close, removeComponent`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, init, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VirtualFileProvider

    public VirtualFileProvider()

Method Detail

### createFileSystem

    public FileObject createFileSystem(FileObject rootFile)
                                throws FileSystemException

  Creates a virtual file system, with the supplied file as its root.

  Throws:
    `FileSystemException`

### createFileSystem

    public FileObject createFileSystem(String rootUri)
                                throws FileSystemException

  Creates an empty virtual file system.

  Throws:
    `FileSystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.